INTERFACE
SUBROUTINE SPROTLON(KULOUT,KFIELD,KFLDSUR,&
 & KNSMAX,KASM0,KN,KSPEC2,PC,PS,PSPECI,PSPECF) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KFLDSUR
INTEGER(KIND=JPIM),INTENT(IN) :: KNSMAX
INTEGER(KIND=JPIM),INTENT(IN) :: KSPEC2
INTEGER(KIND=JPIM) :: KULOUT
INTEGER(KIND=JPIM),INTENT(IN) :: KFIELD
INTEGER(KIND=JPIM),INTENT(IN) :: KASM0(0:KNSMAX)
INTEGER(KIND=JPIM),INTENT(IN) :: KN
REAL(KIND=JPRB) ,INTENT(IN) :: PC(KNSMAX)
REAL(KIND=JPRB) ,INTENT(IN) :: PS(KNSMAX)
REAL(KIND=JPRB) ,INTENT(IN) :: PSPECI(KFLDSUR,KSPEC2)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSPECF(KFLDSUR,KSPEC2)
END SUBROUTINE SPROTLON
END INTERFACE
